Skip to content

Get statement by Statement ID

GET
/statements/v1/id/{id}
curl --request GET \
--url https://example.com/statements/v1/id/example \
--header 'Authorization: Bearer <token>'

Get statement by Statement ID

id
required
string

Get statement by Statement ID

Media type application/json
One of:

Records an association between a subject and another entity

This statement type is used to create relationships between artifacts, such as linking data to its metadata, or connecting related entities.

object
@context
required

JSON-LD context URL

string
@id
required

Unique identifier for this statement

string
@type
required

Statement type identifier

string
association
required

The associated entities (CID or DID)

Array<string>
registeredBy
required

DID of the entity that registered this statement

string
subject
required

The subject of the association (CID or DID)

string
timestamp
required

ISO 8601 timestamp of when the statement was created

string
type
required
string
Allowed values: certifies includes isInstanceOf
Example
{
"type": "certifies"
}

Statement not found